Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfTransitionSpeedType

    java.lang.Object
      java.lang.Enum<OdfTransitionSpeedType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfTransitionSpeedType

All Implemented Interfaces:
  Serializable, Comparable<OdfTransitionSpeedType>

    public enum OdfTransitionSpeedType

extends Enum<OdfTransitionSpeedType>

DOM implementation of OpenDocument attribute presentation:transition-speed.

Enum Constant Summary
`FAST`
`MEDIUM`
`SLOW`

Method Summary
`static OdfTransitionSpeedType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTransitionSpeedType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTransitionSpeedType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTransitionSpeedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEDIUM

    public static final OdfTransitionSpeedType MEDIUM

### FAST

    public static final OdfTransitionSpeedType FAST

### SLOW

    public static final OdfTransitionSpeedType SLOW

Method Detail

### values

    public static OdfTransitionSpeedType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTransitionSpeedType c : OdfTransitionSpeedType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTransitionSpeedType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTransitionSpeedType>`
  Returns:
    return the name of OdfTransitionSpeedType

### toString

    public static String toString(OdfTransitionSpeedType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTransitionSpeedType, see presentation:transition-speed
  Returns:
    return the name of OdfTransitionSpeedType

### enumValueOf

    public static OdfTransitionSpeedType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTransitionSpeedType
  Returns:
    return the constant of OdfTransitionSpeedType, see presentation:transition-speed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.